> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Existing Custody Allocations For Grant

> Lists existing custody allocations for a grant with wallet address, name, amount and allocation ID.

Required scope: `wallets:read`

## OpenAPI

````yaml api-reference/openapi.json GET /tga/get-existing-custody-allocations-for-grant
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/get-existing-custody-allocations-for-grant:
    get:
      operationId: getExistingCustodyAllocationsForGrant
      summary: Get Existing Custody Allocations For Grant
      x-toku-required-scope: wallets:read
      description: >-
        Lists existing custody allocations for a grant with wallet address,
        name, amount and allocation ID.


        Required scope: `wallets:read`
      parameters:
        - name: grantID
          in: query
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetExistingCustodyAllocationsForGrantResponse
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetExistingCustodyAllocationsForGrantResponse:
      type: array
      items:
        type: object
        properties:
          walletAddress:
            type:
              - string
              - 'null'
          amount:
            type:
              - number
              - 'null'
          allocationID:
            type:
              - string
              - 'null'
          walletName:
            type:
              - string
              - 'null'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
